###  | #  |

Public Member Functions | List of all members
HomogeneousPixelValueConcept< P > Struct Template Reference
Pixel » Concepts

Homogeneous pixel concept that is a Regular type. More...

`#include <pixel.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename P>
struct boost::gil::HomogeneousPixelValueConcept< P >

Homogeneous pixel concept that is a Regular type.

concept HomogeneousPixelValueConcept<HomogeneousPixelConcept P> : Regular<P>
{
where SameType<value_type,P>;
};
boost::gil::HomogeneousPixelConcept
Homogeneous pixel concept.
Definition concepts/pixel.hpp:124
boost::gil::HomogeneousPixelValueConcept
Homogeneous pixel concept that is a Regular type.
Definition concepts/pixel.hpp:189
boost::gil::Regular
Concept for type regularity requirement.
Definition basic.hpp:142
boost::gil::SameType
Concept of types equivalence requirement.
Definition basic.hpp:179

The documentation for this struct was generated from the following file:

- concepts/pixel.hpp